/*
 * Common graphics utility functions for tools
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2012-2015 Tecnic Software productions (TNSP)
 *
 * Please read file 'COPYING' for information on license and distribution.
 */
#ifndef LIBGUTIL_H
#define LIBGUTIL_H 1

#include "dmlib.h"
#include "dmtext.h"

#ifdef __cplusplus
extern "C" {
#endif

void dmFillRect(SDL_Surface *screen, int x0, int y0, int x1, int y1, Uint32 col);
void dmDrawHLine(SDL_Surface *screen, int x0, int x1, int yc, const Uint32 col);
void dmDrawVLine(SDL_Surface *screen, int y0, int y1, int xc, const Uint32 col);
void dmDrawBox3D(SDL_Surface *screen, int x0, int y0, int x1, int y1, Uint32 ucol, Uint32 dcol);
void dmFillBox3D(SDL_Surface *screen, int x0, int y0, int x1, int y1, Uint32 bgcol, Uint32 ucol, Uint32 dcol);
void dmDrawBMTextConstQ(SDL_Surface *screen, DMBitmapFont *font, int mode, int xc, int yc, const char *fmt);
void dmDrawBMTextVAQ(SDL_Surface *screen, DMBitmapFont *font, int mode, int xc, int yc, const char *fmt, va_list ap);
void dmDrawBMTextQ(SDL_Surface *screen, DMBitmapFont *font, int mode, int xc, int yc, const char *fmt, ...)
     DM_ATTR_PRINTF_FMT(6, 7);


#ifdef __cplusplus
}
#endif

#endif // LIBGUTIL_H
